LSATTR(1)

NAME
lsattr - List file attributes

SYNOPSIS

lsattr [-Radln] [FILE...]

lsattr -h | -V

OPTIONS

      -R, --recursive     recursively list attributes of directories and their
                          contents
      -V, --version       display the program version
      -a, --all           list all files in directories, including files that
                          start with '.'
      -d, --directory     list directories like other files, rather than listing
                          their contents.
      -l, --long          print options using long names instead of single
                          character abbreviations
      -n, --no-headers    don't print directory headers when recursing
      -h, --help          this help text

DESCRIPTION

The lsattr program allows to list file attributes, namely DOS attributes, file sparseness, FS level encryption and compression state, as well as directories' case sensitivity setting.

Supported attributes:

      'r', 'Readonly':      file is read-only, directory is system-marked
      'h', 'Hidden':        file or directory is hidden
      's', 'System':        file or directory that the operating system uses
      'a', 'Archive':       file or directory has the archive marker set
      't', 'Temporary':     file is being used for temporary storage
      'S', 'Sparse':        file is sparse
      'r', 'Reparse':       file or directory that has a reparse point
      'c', 'Compressed':    file or directory is compressed
      'o', 'Offline':       the data of a file is moved to offline storage
      'n', 'Notindexed':    file or directory is not to be indexed by the
                            content indexing service
      'e', 'Encrypted':     file is encrypted
      'C', 'Casesensitive': directory is handled case sensitive
                            (Windows 10 1803 or later, local NTFS only,
                             WSL must be installed)

COPYRIGHT

Copyright © Cygwin authors

Permission is granted to make and distribute verbatim copies of this documentation provided the copyright notice and this permission notice are preserved on all copies.

Permission is granted to copy and distribute modified versions of this documentation under the conditions for verbatim copying, provided that the entire resulting derived work is distributed under the terms of a permission notice identical to this one.

Permission is granted to copy and distribute translations of this documentation into another language, under the above conditions for modified versions, except that this permission notice may be stated in a translation approved by the Free Software Foundation.